Skip to Content.
Sympa Menu

fr - Re: [sympa-fr] alias_manager introuvable

Subject: Pour les administrateurs de serveurs de listes utilisant le logiciel Sympa

List archive

Chronological Thread  
  • From: Daniel Caillibaud <address@concealed>
  • To: address@concealed
  • Subject: Re: [sympa-fr] alias_manager introuvable
  • Date: Sat, 1 Mar 2014 15:36:36 +0100

Le 05/02/14 à 11:43, David Verdin <address@concealed> a écrit :
DV> > J'étais persuadé que mon restart redémarrait aussi le fastcgi, mais
j'avais oublié que
DV> > j'avais ajouté un script d'init séparé...

DV> Voui, comme les FastCGI sont exécutés par Apache,

T'es sûr ?

Je connais pas apache mais chez moi c'est autonome, j'ai
un /usr/lib/cgi-bin/sympa/wwsympa.fcgi qui tourne dans son coin, et nginx qui
lui passe des
requêtes via /var/run/sympa/wwsympa-fcgi.sock, et redémarrer le serveur web
ne redémarre pas le fcgi.

Ça pourrait être n'importe quel serveur web, en mode socket ou tcp, c'est le
même principe pour
les autres fcgi que j'utilise (php-fpm par ex).

J'avais d'ailleurs cru comprendre que c'était ça le "fast" du fcgi vs cgi, le
serveur web n'a pas
besoin de lancer un cgi à chaque fois, y'en a déjà un de démarré prêt à
répondre.

Ensuite, peut-être qu'un module apache intègre un wrapper pour
démarrer/arrêter le fcgi
en même temps que lui, mais c'est pas du tout obligé de faire comme ça, le
serveur web
et le fcgi sympa sont pas forcément sur la même machine.

Tu peux avoir un fcgi sympa qui tourne sur une machine et des serveurs web
sur d'autres machines
qui lui filent des requetes à traiter. Ça peut d'ailleurs être pratique de le
mettre tout seul
dans une VM, une fois que tu as un sympa bien configuré qui tourne bien, ni
avec le serveur mail
ni avec les serveurs web, ça évite de le perturber parce qu'une lib perl a
changé mais surtout
ça permet de tenter un upgrade et pouvoir revenir en arrière en qq s en cas
de pb (en ayant fait
une image de la vm juste avant).

DV> le script d'init de
DV> sympa n'y touche pas. Par conséquent, toute modif de la config
DV> parincipale du serveur ou d'un hôte virtuel doit, pour être prise en
DV> compte par les services web et SOAP, être suivie d'un redémarrage
DV> d'Apache (un rechargement ne suggit pas, parce que les process
DV> wwsympa.fcgi et sympa_soap_server.fcgi doivent être relancés).

Chez moi c'est wwsympa.fcgi qu'il faut relancer, via un script
maison /etc/init.d/spawn-fcgi-sympa (pompé sur celui de munin), je le met
ci-dessous si ça intéresse qqun.

Du coup j'ai ajouté dans /etc/init.d/sympa mes deux lignes pour start/stop
aussi le fcgi

start)
start_sympa
/etc/init.d/spawn-fcgi-sympa start
;;
stop)
/etc/init.d/spawn-fcgi-sympa stop
stop_sympa
;;



#!/bin/sh

### BEGIN INIT INFO
# Provides: spawn-fcgi-sympa
# Required-Start: $all
# Required-Stop: $all
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: starts Sympa FastCGI
# Description: starts FastCGI for sympa using start-stop-daemon
### END INIT INFO
# --------------------------------------------------------------
# Inspired by Munin-CGI-Graph Spawn-FCGI Startscript by Julien Schmidt
# eMail: munin-trac at julienschmidt.com
# www: http://www.julienschmidt.com
# http://files.julienschmidt.com/public/cfg/munin/spawn-fcgi-munin-graph
# --------------------------------------------------------------
# Install:
# 1. Copy this file to /etc/init.d
# 2. Edit the variables below
# 3. run "update-rc.d spawn-fcgi-sympa defaults"
# --------------------------------------------------------------
# Please change the following variables:

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
NAME=spawn-fcgi-sympa
PID_FILE=/var/run/sympa/wwsympa-fcgi.pid
SOCK_FILE=/var/run/sympa/wwsympa-fcgi.sock
DAEMON=/usr/bin/spawn-fcgi
FCGI=/usr/lib/cgi-bin/sympa/wwsympa.fcgi
# pas besoin de wwsympa-wrapper.fcgi puisque c'est ce script qui le fait
#DAEMON_OPTS="-s $SOCK_FILE -U www-data -u sympa -g sympa
/usr/lib/cgi-bin/sympa/wwsympa-wrapper.fcgi -P $PID_FILE"
DAEMON_OPTS="-s $SOCK_FILE -U www-data -u sympa -g sympa $FCGI -P $PID_FILE"

# --------------------------------------------------------------
# No edits necessary beyond this line
# --------------------------------------------------------------
OK=0
KO=1

if [ ! -x $DAEMON ]; then
echo "File not found or is not executable: $DAEMON!"
exit $KO
fi

status() {
if [ ! -r $PID_FILE ]; then
return 1
fi

FCGI_PID=`cat $PID_FILE`
if [ -z "${FCGI_PID}" ]; then
return 1
fi

FCGI_RUNNING=`ps -p ${FCGI_PID} | grep ${FCGI_PID}`
if [ -z "${FCGI_RUNNING}" ]; then
return 1
fi

return 0
}

start() {
echo "Starting $NAME: "
if status; then
echo "FCGI is already running!"
exit 1
else
$DAEMON $DAEMON_OPTS
fi
echo "... DONE"
}

stop () {
echo "Stopping $NAME: "
if ! status; then
echo "No PID-file at $PID_FILE found or PID not valid."
echo "$FCGI running $(ps --no-heading | grep -c $FCGI)
time(s)"
exit 1
fi
kill -9 $FCGI_PID && rm -f $PID_FILE && rm -f $SOCK_FILE && echo "...
DONE" || echo "... FAILED"
}

case "$1" in
start)
start
;;

stop)
stop
;;

force-reload|restart)
status && stop
start
;;

status)
if status; then
echo "FCGI is RUNNING"
else
echo "FCGI is NOT RUNNING"
fi
;;

*)
echo "Usage: $0 {start|stop|restart|status}"
exit 1
;;
esac

exit 0

--
Daniel

Au reste, si l'éducation de la jeunesse est négligée, ne nous en
prenons qu'à nous-mêmes et au peu de considération que nous
témoignons à ceux qui s'en chargent.
d'Alembert



  • Re: [sympa-fr] alias_manager introuvable, Daniel Caillibaud, 03/01/2014

Archive powered by MHonArc 2.6.19+.

Top of Page